Subject: bug#59350: 29.0.50; Eval region or buffer

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Nov 2022 20:59:19 +0200

>> 'elisp-eval-buffer' is a nice new command that evaluates the current buffer
>> with a convenient keybinding 'C-c C-e'.  It would be nicer also to react on
>> the currently active region:
>
> That'd be confusing, IMO, given that the command says "buffer" in its
> name.  We usually do this the other way around: eval-region should
> work on the entire accessible portion of the buffer if the mark is not
> set.  But note that eval-region doesn't need the region to be active,
> so there be dragons.

Maybe then better to rename it to 'elisp-eval-region-or-buffer',
then explain in the docstring it's for Transient Mark only.